> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Get Project Entity Supply Chain Snapshot By Id

GET https://api.sayari.com/v1/projects/{project_id}/entities/{project_entity_id}/supply_chain/snapshots/{snapshot_id}

Retrieves a specific supply chain snapshot by ID for a project entity.

Reference: https://documentation.sayari.com/api/api-reference/project-entity-supply-chain-snapshots/get-project-entity-supply-chain-snapshot-by-id

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Path parameters

- `project_id` (string, required)
- `project_entity_id` (string, required)
- `snapshot_id` (string, required)

## Response

### 200

- `data` (ProjectEntitySupplyChainSnapshotDetailData, required)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 404 Not Found

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### ProjectEntitySupplyChainSnapshotDetailData

- `snapshot_id` (string, required)
- `label` (string, required)
- `release_tag` (string, required)
- `partial_results` (boolean, required)
- `explored_count` (integer, required)
- `created_at` (string, required)
- `updated_at` (string, required)
- `nodes` (list of SupplyChainNode, required)
- `edges` (list of SupplyChainEdge, required)

### SupplyChainNode

- `id` (string, required)
- `entity_id` (string, required)
- `label` (string, required)
- `type` (string, required)
- `risk_factors` (list of string, required)
- `countries` (list of string, required)

### SupplyChainEdge

- `id` (string, required)
- `src_id` (string, required)
- `dst_id` (string, required)
- `departure_countries` (list of string, required)
- `arrival_countries` (list of string, required)
- `hs_code` (string, required)
- `min_date` (string, required)
- `max_date` (string, required)

## Examples

**Response**

```json
{
  "data": {
    "snapshot_id": "nK9mP2",
    "label": "Production Supply Chain Analysis",
    "release_tag": "20250115143000_prod",
    "partial_results": true,
    "explored_count": 15,
    "created_at": "2025-01-15 14:30:00.12345+00",
    "updated_at": "2025-01-15 14:30:00.12345+00",
    "nodes": [
      {
        "id": "xG8wYP",
        "entity_id": "oSlRbVMw4JdQ_R0nTd7yaQ",
        "label": "TechCorp Inc",
        "type": "company",
        "risk_factors": [
          "export_controls",
          "former_wro_entity",
          "export_to_soe"
        ],
        "countries": [
          "USA",
          "CHN"
        ]
      },
      {
        "id": "6GaxYn",
        "entity_id": "rSoUePz7MgU_U3qWg0bdT",
        "label": "Trade Partners Ltd",
        "type": "company",
        "risk_factors": [
          "export_controls",
          "former_wro_entity",
          "export_to_soe"
        ],
        "countries": [
          "RUS",
          "IRN"
        ]
      },
      {
        "id": "JGlwYl",
        "entity_id": "sTpVfQa8NhV_V4rXh1ceU",
        "label": "International Logistics",
        "type": "company",
        "risk_factors": [
          "export_to_soe"
        ],
        "countries": [
          "GBR",
          "NLD"
        ]
      }
    ],
    "edges": [
      {
        "id": "xG8wYP",
        "src_id": "6GaxYn",
        "dst_id": "xG8wYP",
        "departure_countries": [
          "AFG"
        ],
        "arrival_countries": [
          "AFG",
          "AGO"
        ],
        "hs_code": "0303",
        "min_date": "2024-05-03T00:00:00+00:00",
        "max_date": "2024-05-06T00:00:00+00:00"
      },
      {
        "id": "6GaxYn",
        "src_id": "6GaxYn",
        "dst_id": "JGlwYl",
        "departure_countries": [
          "AFG"
        ],
        "arrival_countries": [
          "AFG",
          "AGO"
        ],
        "hs_code": "0304",
        "min_date": "2024-05-03T00:00:00+00:00",
        "max_date": "2024-05-06T00:00:00+00:00"
      },
      {
        "id": "V03eYM",
        "src_id": "xG8wYP",
        "dst_id": "JGlwYl",
        "departure_countries": [
          "USA",
          "CHN"
        ],
        "arrival_countries": [
          "GBR",
          "NLD"
        ],
        "hs_code": "0303",
        "min_date": "2024-05-03T00:00:00+00:00",
        "max_date": "2024-05-06T00:00:00+00:00"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots/sN4p2K")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```